Delete
API server
https://app.coolify.io/api/v1Delete service by UUID. Needs a token with the write and deploy permissions.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Service UUID
Query Parameters
delete_configurations?boolean
Delete configurations.
Default
truedelete_volumes?boolean
Delete volumes.
Default
truedocker_cleanup?boolean
Run docker cleanup when the server disk usage is at or above its cleanup threshold. Skipped when a cleanup ran on the server in the last hour.
Default
truedelete_connected_networks?boolean
Delete connected networks.
Default
trueResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://app.coolify.io/api/v1/services/string"{ "message": "Service deletion request queued."}{ "message": "Invalid token."}{ "message": "Unauthenticated."}Empty
{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}